from .api.models import PointToFlyTo, ScanCoordinate
from .robur_mock import RoburMock

three_colors_morskie_oko: list[PointToFlyTo] = [
    PointToFlyTo(lat=51.1243882663525, lon=17.08800734448151, alt=40),
    PointToFlyTo(lat=51.1243882663525, lon=17.087671, alt=40),
    PointToFlyTo(lat=51.1243882663525, lon=17.08733465449373, alt=40),
    PointToFlyTo(lat=51.124528999999995, lon=17.08733465449373, alt=40),
    PointToFlyTo(lat=51.124528999999995, lon=17.087671, alt=40),
    PointToFlyTo(lat=51.124528999999995, lon=17.08800734448151, alt=40),
    PointToFlyTo(lat=51.124669733647494, lon=17.088007345506274, alt=40),
    PointToFlyTo(lat=51.124669733647494, lon=17.08767099897524, alt=40),
    PointToFlyTo(lat=51.124669733647494, lon=17.08733465244421, alt=40),
]

three_colors_morskie_oko_robur = [
    ScanCoordinate(lat=51.124741, lon=17.087168),
    ScanCoordinate(lat=51.12432, lon=17.087206),
    ScanCoordinate(lat=51.124324, lon=17.088171),
    ScanCoordinate(lat=51.124731, lon=17.088139),
]

three_colors_kakolewo_50m = [
    PointToFlyTo(lat=52.236627437990954, lon=16.237367781787214, alt=50),
    PointToFlyTo(lat=52.236495961152315, lon=16.23811408541082, alt=50),
    PointToFlyTo(lat=52.23636448431366, lon=16.23886038212449, alt=50),
    PointToFlyTo(lat=52.236233007475015, lon=16.23960667662748, alt=50),
    PointToFlyTo(lat=52.23610153063637, lon=16.24035296891981, alt=50),
    PointToFlyTo(lat=52.23597005379772, lon=16.24109925900151, alt=50),
    PointToFlyTo(lat=52.23627474383402, lon=16.241242384821355, alt=50),
    PointToFlyTo(lat=52.23640622067266, lon=16.24049609516363, alt=50),
    PointToFlyTo(lat=52.23653769751131, lon=16.239749803295265, alt=50),
    PointToFlyTo(lat=52.236669174349956, lon=16.239003509216246, alt=50),
    PointToFlyTo(lat=52.236800651188595, lon=16.238257211698365, alt=50),
    PointToFlyTo(lat=52.23693212802725, lon=16.237510908744383, alt=50),
    PointToFlyTo(lat=52.23723681806353, lon=16.23765403089117, alt=50),
    PointToFlyTo(lat=52.23710534122487, lon=16.238400307796955, alt=50),
    PointToFlyTo(lat=52.23697386438623, lon=16.239146613104893, alt=50),
    PointToFlyTo(lat=52.23684238754759, lon=16.239892916202088, alt=50),
    PointToFlyTo(lat=52.23671091070895, lon=16.24063921708856, alt=50),
    PointToFlyTo(lat=52.23657943387031, lon=16.241385540266524, alt=50),
    PointToFlyTo(lat=52.23688412390661, lon=16.241528667068895, alt=50),
    PointToFlyTo(lat=52.23701560074525, lon=16.240782362465694, alt=50),
    PointToFlyTo(lat=52.23714707758389, lon=16.240036054245206, alt=50),
    PointToFlyTo(lat=52.237278554422524, lon=16.239289743813938, alt=50),
    PointToFlyTo(lat=52.23741003126117, lon=16.238543473014097, alt=50),
    PointToFlyTo(lat=52.23754150809983, lon=16.23779710279422, alt=50),
    PointToFlyTo(lat=52.237846198136104, lon=16.237940283925166, alt=50),
    PointToFlyTo(lat=52.23771472129747, lon=16.2386865510232, alt=50),
    PointToFlyTo(lat=52.23758324445883, lon=16.239432866577893, alt=50),
    PointToFlyTo(lat=52.23745176762019, lon=16.240179179921764, alt=50),
    PointToFlyTo(lat=52.237320290781554, lon=16.24092549105483, alt=50),
    PointToFlyTo(lat=52.237188813942915, lon=16.24167182448019, alt=50),
    PointToFlyTo(lat=52.237493503979216, lon=16.241814953247662, alt=50),
    PointToFlyTo(lat=52.237624980817856, lon=16.24106863839773, alt=50),
    PointToFlyTo(lat=52.237756457656495, lon=16.240322319930385, alt=50),
    PointToFlyTo(lat=52.23788793449513, lon=16.239575999252178, alt=50),
    PointToFlyTo(lat=52.238019411333745, lon=16.238829738260307, alt=50),
    PointToFlyTo(lat=52.238150888172434, lon=16.238083337737862, alt=50),
    PointToFlyTo(lat=52.23845557820868, lon=16.238226540889343, alt=50),
    PointToFlyTo(lat=52.238324101370075, lon=16.238972798179272, alt=50),
    PointToFlyTo(lat=52.238192624531436, lon=16.239719123981086, alt=50),
    PointToFlyTo(lat=52.2380611476928, lon=16.240465447572, alt=50),
    PointToFlyTo(lat=52.23792967085416, lon=16.24121176895203, alt=50),
    PointToFlyTo(lat=52.23779819401552, lon=16.241958112625152, alt=50),
    PointToFlyTo(lat=52.23810288405182, lon=16.24210124335779, alt=50),
    PointToFlyTo(lat=52.23823436089046, lon=16.241354918260768, alt=50),
    PointToFlyTo(lat=52.2383658377291, lon=16.240608589546195, alt=50),
    PointToFlyTo(lat=52.23849731456773, lon=16.239862258620683, alt=50),
    PointToFlyTo(lat=52.23862879140632, lon=16.239116007437133, alt=50),
    PointToFlyTo(lat=52.23876026824504, lon=16.23836957661104, alt=50),
    PointToFlyTo(lat=52.23906495828126, lon=16.238512801783838, alt=50),
    PointToFlyTo(lat=52.23893348144268, lon=16.239259049265314, alt=50),
    PointToFlyTo(lat=52.23880200460404, lon=16.240005385314614, alt=50),
    PointToFlyTo(lat=52.2386705277654, lon=16.240751719152936, alt=50),
    PointToFlyTo(lat=52.23853905092676, lon=16.241498050780297, alt=50),
    PointToFlyTo(lat=52.23840757408812, lon=16.24224438240766, alt=50),
]

three_colors_kakolewo_56m = [
    PointToFlyTo(lat=52.236699483835004, lon=16.237665844159647, alt=56.5),
    PointToFlyTo(lat=52.23654018503645, lon=16.2385700764517, alt=56.5),
    PointToFlyTo(lat=52.2363808862379, lon=16.239474298599898, alt=56.5),
    PointToFlyTo(lat=52.23622158743935, lon=16.240378517502815, alt=56.5),
    PointToFlyTo(lat=52.2360622886408, lon=16.24128273316049, alt=56.5),
    PointToFlyTo(lat=52.23643145447422, lon=16.241456146606374, alt=56.5),
    PointToFlyTo(lat=52.23659075327277, lon=16.240551931571094, alt=56.5),
    PointToFlyTo(lat=52.23675005207132, lon=16.239647713290573, alt=56.5),
    PointToFlyTo(lat=52.23690935086987, lon=16.23874348996177, alt=56.5),
    PointToFlyTo(lat=52.23706864966842, lon=16.237839258652745, alt=56.5),
    PointToFlyTo(lat=52.23743781550184, lon=16.238012666084117, alt=56.5),
    PointToFlyTo(lat=52.23727851670329, lon=16.238916873015256, alt=56.5),
    PointToFlyTo(lat=52.23711921790474, lon=16.23982110777992, alt=56.5),
    PointToFlyTo(lat=52.23695991910619, lon=16.240725339299193, alt=56.5),
    PointToFlyTo(lat=52.23680062030764, lon=16.241629592153913, alt=56.5),
    PointToFlyTo(lat=52.23716978614106, lon=16.24180300704216, alt=56.5),
    PointToFlyTo(lat=52.23732908493961, lon=16.240898770066636, alt=56.5),
    PointToFlyTo(lat=52.23748838373816, lon=16.23999452778083, alt=56.5),
    PointToFlyTo(lat=52.23764768253671, lon=16.23909032981333, alt=56.5),
    PointToFlyTo(lat=52.23780698133526, lon=16.23818601851618, alt=56.5),
    PointToFlyTo(lat=52.23817614716868, lon=16.238359493777885, alt=56.5),
    PointToFlyTo(lat=52.23801684837013, lon=16.239263691209228, alt=56.5),
    PointToFlyTo(lat=52.23785754957158, lon=16.24016794101633, alt=56.5),
    PointToFlyTo(lat=52.23769825077303, lon=16.2410721875779, alt=56.5),
    PointToFlyTo(lat=52.23753895197448, lon=16.241976455475836, alt=56.5),
    PointToFlyTo(lat=52.2379081178079, lon=16.242149873248902, alt=56.5),
    PointToFlyTo(lat=52.23806741660645, lon=16.241245621230842, alt=56.5),
    PointToFlyTo(lat=52.238226715405, lon=16.240341363902274, alt=56.5),
    PointToFlyTo(lat=52.23838601420355, lon=16.23943717543496, alt=56.5),
    PointToFlyTo(lat=52.2385453130021, lon=16.238532824551033, alt=56.5),
    PointToFlyTo(lat=52.23891447883552, lon=16.238706327241196, alt=56.5),
    PointToFlyTo(lat=52.23875518003697, lon=16.239610515172334, alt=56.5),
    PointToFlyTo(lat=52.23859588123842, lon=16.240514780022526, alt=56.5),
    PointToFlyTo(lat=52.23843658243987, lon=16.241419041627044, alt=56.5),
    PointToFlyTo(lat=52.23827728364132, lon=16.242323303231554, alt=56.5),
]

three_colors_kakolewo = three_colors_kakolewo_56m

three_colors_kakolewo_robur = [
    ScanCoordinate(lat=52.238416, lon=16.242664),
    ScanCoordinate(lat=52.235827, lon=16.241400),
    ScanCoordinate(lat=52.236585, lon=16.237198),
    ScanCoordinate(lat=52.239166, lon=16.238369),
]


tree_of_life_kakolewo_10m = [
    PointToFlyTo(lat=52.2396307924481, lon=16.23090639936671, alt=12),
    PointToFlyTo(lat=52.2395982709966, lon=16.2310633390416, alt=12),
    PointToFlyTo(lat=52.23956574954512, lon=16.231220274929672, alt=12),
    PointToFlyTo(lat=52.239533228093634, lon=16.23137721070274, alt=12),
    PointToFlyTo(lat=52.23950070664215, lon=16.231534146360804, alt=12),
    PointToFlyTo(lat=52.23946818519066, lon=16.231691081903868, alt=12),
    PointToFlyTo(lat=52.23943566373917, lon=16.23184801733193, alt=12),
    PointToFlyTo(lat=52.239403142287685, lon=16.23200495264499, alt=12),
    PointToFlyTo(lat=52.2393706208362, lon=16.23216188784305, alt=12),
    PointToFlyTo(lat=52.23933809938471, lon=16.232318822926107, alt=12),
    PointToFlyTo(lat=52.23930557793322, lon=16.232475757894164, alt=12),
    PointToFlyTo(lat=52.23936964552212, lon=16.232511163248038, alt=12),
    PointToFlyTo(lat=52.239402166973605, lon=16.232354228305926, alt=12),
    PointToFlyTo(lat=52.23943468842509, lon=16.232197293248813, alt=12),
    PointToFlyTo(lat=52.23946720987658, lon=16.2320403580767, alt=12),
    PointToFlyTo(lat=52.23949973132807, lon=16.231883422789583, alt=12),
    PointToFlyTo(lat=52.239532252779554, lon=16.231726487387466, alt=12),
    PointToFlyTo(lat=52.23956477423104, lon=16.231569551870347, alt=12),
    PointToFlyTo(lat=52.23959729568253, lon=16.231412616238227, alt=12),
    PointToFlyTo(lat=52.239629817134016, lon=16.231255680491106, alt=12),
    PointToFlyTo(lat=52.23966233858551, lon=16.23109874109388, alt=12),
    PointToFlyTo(lat=52.239694860037, lon=16.23094180840013, alt=12),
    PointToFlyTo(lat=52.23975892762589, lon=16.230977210541464, alt=12),
    PointToFlyTo(lat=52.239726406174405, lon=16.231134150404973, alt=12),
    PointToFlyTo(lat=52.23969388472292, lon=16.23129108295777, alt=12),
    PointToFlyTo(lat=52.23966136327143, lon=16.231448019094117, alt=12),
    PointToFlyTo(lat=52.23962884181994, lon=16.231604955115458, alt=12),
    PointToFlyTo(lat=52.239596320368456, lon=16.231761891021797, alt=12),
    PointToFlyTo(lat=52.23956379891697, lon=16.231918826813136, alt=12),
    PointToFlyTo(lat=52.23953127746548, lon=16.23207576248947, alt=12),
    PointToFlyTo(lat=52.239498756013994, lon=16.232232698050804, alt=12),
    PointToFlyTo(lat=52.23946623456251, lon=16.232389633497135, alt=12),
    PointToFlyTo(lat=52.23943371311102, lon=16.23254657240128, alt=12),
    PointToFlyTo(lat=52.239497780699914, lon=16.232581977806266, alt=12),
    PointToFlyTo(lat=52.23953030215141, lon=16.23242504221044, alt=12),
    PointToFlyTo(lat=52.239562823602895, lon=16.232268106422552, alt=12),
    PointToFlyTo(lat=52.23959534505438, lon=16.232111170519662, alt=12),
    PointToFlyTo(lat=52.23962786650587, lon=16.231954234501767, alt=12),
    PointToFlyTo(lat=52.23966038795736, lon=16.23179729836887, alt=12),
    PointToFlyTo(lat=52.239692909408845, lon=16.231640362120974, alt=12),
    PointToFlyTo(lat=52.23972543086033, lon=16.23148342575807, alt=12),
    PointToFlyTo(lat=52.23975795231182, lon=16.231326489280164, alt=12),
    PointToFlyTo(lat=52.2397904737633, lon=16.231169552687255, alt=12),
    PointToFlyTo(lat=52.23982299521479, lon=16.23101261941261, alt=12),
]

tree_of_life_kakolewo_22m = [
    PointToFlyTo(lat=52.2396493759607, lon=16.23102411095454, alt=22),
    PointToFlyTo(lat=52.23957820639224, lon=16.231365570606346, alt=22),
    PointToFlyTo(lat=52.23950703682377, lon=16.231707029127357, alt=22),
    PointToFlyTo(lat=52.2394358672553, lon=16.232048487100787, alt=22),
    PointToFlyTo(lat=52.23936469768684, lon=16.23238994452664, alt=22),
    PointToFlyTo(lat=52.23950409498106, lon=16.232467425428478, alt=22),
    PointToFlyTo(lat=52.23957526454952, lon=16.232125968126876, alt=22),
    PointToFlyTo(lat=52.239646434117994, lon=16.2317845102777, alt=22),
    PointToFlyTo(lat=52.23971760368646, lon=16.231443051941785, alt=22),
    PointToFlyTo(lat=52.23978877325493, lon=16.231101591744956, alt=22),
]

tree_of_life_kakolewo = tree_of_life_kakolewo_22m


tree_of_life_przed_hangarem = [
    PointToFlyTo(lat=52.236395039454514, lon=16.245861639589886, alt=22),
    PointToFlyTo(lat=52.23632241625452, lon=16.246202257357645, alt=22),
    PointToFlyTo(lat=52.23646147993468, lon=16.246281315131707, alt=22),
    PointToFlyTo(lat=52.23653410313468, lon=16.24594069743138, alt=22),
]
